#### D.4.16.7 Source

Procedure from library `modules.lib` (see modules_lib).

Usage:
  Source(M); M Matrix

Return:
  FreeModule, source of the Matrix

Example:

    LIB "modules.lib";
    ring r;
    matrix m[2][2]=x,y3,z,xz;
    Matrix M=m;
    M;
    ==> x,y3,
    ==> z,xz
    ==>
    Source(M);
    ==>  2
    ==> r
    ==> free Module
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.